<div class="container">
  <div class="row">
      <div class="col-md-8 mx-auto">
          <div class="card">
              <div class="card-header">
                  <h3>Cadastro de Usuários</h3>
              </div>
              <div class="card-body">
                  <form class="form" [formGroup]="formUsuario" (ngSubmit)="onSubmit()">
                      <div class="form-group alert alert-success" role="alert" @fade *ngIf="showSuccessMessage">
                        <div>Cadastro realizado com sucesso.</div>
                      </div>
                      <div class="form-group alert alert-danger" role="alert" *ngIf="showErrorMessage">
                        <div *ngIf="!mensagemErro">Houve falha na integração com o serviço de cadastro. Favor entrar em contato com o setor responsável.</div>
                        <div *ngIf="mensagemErro">{{mensagemErro}}</div>
                      </div>
                      <div class="form-group">
                          <label>Nome</label>
                          <input type="text" class="form-control" formControlName="nome" >
                          <span class="text-danger"
                              *ngIf="(registerFormControl['nome'].touched || submitted) && registerFormControl['nome'].errors?.['required']">
                              Nome é obrigatório.
                          </span>
                          <span class="text-danger"
                              *ngIf="registerFormControl['nome'].errors?.['maxlength'] || registerFormControl['nome'].errors?.['minlength']">
                              Mínimo de 3 e máximo de 50 caracteres
                          </span>
                      </div>
                      <div class="form-group">
                          <label>Email</label>
                          <input type="text" class="form-control" formControlName="email" maxlength="255">
                          <span class="text-danger"
                              *ngIf="(registerFormControl['email'].touched || submitted) && registerFormControl['email'].errors?.['required']">
                              Email é obrigatório.
                          </span>
                          <span class="text-danger"
                              *ngIf="registerFormControl['email'].touched && registerFormControl['email'].errors?.['pattern']">
                              Insira um email válido.
                          </span>
                      </div>
                      <div class="form-group">
                          <label>Senha</label>
                          <input type="password" class="form-control" formControlName="senha">
                          <span class="text-danger"
                              *ngIf="(registerFormControl['senha'].touched || submitted) && registerFormControl['senha'].errors?.['required']">
                              Senha é obrigatório.
                          </span>
                          <span class="text-danger"
                              *ngIf="registerFormControl['senha'].errors?.['maxlength'] || registerFormControl['senha'].errors?.['minlength']">
                              Mínimo de 6 e máximo de 20 caracteres.
                          </span>

                      </div>
                      <div class="form-group">
                          <label>Confirmação Senha</label>
                          <input type="password" class="form-control" formControlName="confirmacaoSenha" maxlength="20">
                          <span class="text-danger"
                              *ngIf="(registerFormControl['confirmacaoSenha'].touched || submitted)&& registerFormControl['confirmacaoSenha'].errors?.['required']">
                              Confirmação Senha é obrigatório.
                          </span>
                          <span class="text-danger"
                              *ngIf="registerFormControl['confirmacaoSenha'].touched && registerFormControl['confirmacaoSenha'].errors?.['passwordMismatch']">
                              A Senha e a Confirmação da Senha estão diferentes.
                          </span>
                      </div>
                      <div class="form-group">
                          <button type="submit" class="btn btn-success" [disabled]="!formUsuario.valid">Incluir</button>
                      </div>
                  </form>
              </div>
              <div class="card-footer">
                <br/>
                <p><strong>Usuários Cadastrados</strong></p>

                <table class="table table-striped">
                  <thead>
                    <tr>
                      <th scope="col">Nome</th>
                      <th scope="col">Email</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr *ngFor="let usuario of usuarios">
                      <td>{{usuario.nome}}</td>
                      <td>{{usuario.email}}</td>
                    </tr>
                  </tbody>
                </table>
              </div>
          </div>
      </div>
  </div>
</div>


